From 6c125208364863a80fb38f26eac85255e46f21f5 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 03 2021 00:24:00 +0000
Subject: [PATCH 1992/2232] Clean some unneeded string manipulation from exception conversion


These used to be needed prior to #644.

---

diff --git a/src/result.rs b/src/result.rs
index 7927c20..ecc3a41 100644
--- a/src/result.rs
+++ b/src/result.rs
@@ -45,11 +45,9 @@ unsafe fn to_c_error(msg: String) -> Result {
     }
 
     let copy = error(ptr, len);
-    let slice = slice::from_raw_parts(copy, len);
-    let string = str::from_utf8_unchecked(slice);
     let err = PtrLen {
-        ptr: NonNull::from(string).cast::<u8>(),
-        len: string.len(),
+        ptr: NonNull::new_unchecked(copy as *mut u8),
+        len,
     };
     Result { err }
 }

